%define localstatedir   /var/lib

Summary:            Syslog to iptables dynamic firewall
Name:               syslog2iptables
Version:            1.7
Release:            %{?custom_release}%{!?custom_release:1}
License:            GPL
Group:              System Environment/Daemons
Source:             http://www.five-ten-sg.com/syslog2iptables/packages/syslog2iptables-1.7.tar.gz
BuildRoot:          %{_tmppath}/%{name}-%{version}-buildroot
URL:                http://www.five-ten-sg.com/syslog2iptables/
Vendor:             510 Software Group
Packager:           510 Software Group
AutoReqProv:        no

Requires(post,preun):   /sbin/chkconfig
Requires(post,preun):   /sbin/service
Requires:               iptables
Requires:               coreutils
BuildRequires:          gcc gcc-c++
Requires:               libc.so.6, libgcc_s.so.1, libm.so.6, libpthread.so.0, libstdc++.so.6


%description

syslog2iptables is a simple adaptive firewall.  It maintains the INPUT chain of the iptables firewall set based on syslog entries.

%prep


%setup


%build
./configure --prefix=%{_prefix} \
    --bindir=%{_bindir} --mandir=%{_mandir} \
    --localstatedir=%{localstatedir} --libdir=%{_libdir} \
    --datadir=%{_datadir} --includedir=%{_includedir} \
    --sysconfdir=%{_sysconfdir}
make


%install
if [ "$RPM_BUILD_ROOT" = "/" -o -z "$RPM_BUILD_ROOT" ] ; then
        echo sorry, you probably do not want me to delete the old buildroot at $RPM_BUILD_ROOT
        exit 1
fi
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
    mandir=$RPM_BUILD_ROOT%{_mandir} libdir=$RPM_BUILD_ROOT%{_libdir} \
    localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/syslog2iptables-1.7
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/syslog2iptables        $RPM_BUILD_ROOT/etc/rc.d/init.d
mv AUTHORS COPYING ChangeLog NEWS README             $RPM_BUILD_ROOT%{_datadir}/doc/syslog2iptables-1.7


%clean


%pre


%post
/sbin/chkconfig --add syslog2iptables


%preun
[ $1 = 0 ] && /sbin/service syslog2iptables stop || :


%postun
[ $1 = 0 ] && /sbin/chkconfig --del syslog2iptables


%files
%defattr(-,root,root)
%{_sbindir}/*
%doc %{_mandir}/*
%docdir %{_datadir}/doc/syslog2iptables-1.7
%{_datadir}/doc/syslog2iptables-1.7
%config(noreplace) %{_sysconfdir}/syslog2iptables.conf
/etc/rc.d/init.d/syslog2iptables

%changelog
* Thu Aug 30 2007 Carl Byington 1.5
- Fix pre/post scripts

* Thu Dec 08 2005 Carl Byington 1.0
- initial revision based on dnsbl spec file
- and http://www.fedora.us/docs/rpm-packaging-guidelines.html
